GCLOUD_INIT(1)

NAME

gcloud init - initialize or reinitialize gcloud

SYNOPSIS

gcloud init [--console-only] [--skip-diagnostics] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud init launches an interactive Getting Started workflow for gcloud. It performs the following setup steps:

    •   Authorizes gcloud and other SDK tools to access Google Cloud Platform using your user account credentials, or lets you select from accounts whose credentials are already available.

    •   Sets properties in a gcloud configuration, including the current project and the default Google Compute Engine region and zone.

gcloud init can be used for initial setup of gcloud and to create new or reinitialize gcloud configurations. More information can be found by running gcloud topic configurations. Properties set by gcloud init are local and persistend, and are not affected by remote changes to the project. For example, the default Compute Engine zone in your configuration remains stable, even if you or another user changes the project-level default zone in the Cloud Platform Console. To sync the configuration, re-run gcloud init

FLAGS

    --console-only
        Prevent the command from launching a browser for authorization.

    --skip-diagnostics
        Do not run diagnostics.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.